import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

// https://vitejs.dev/config/
export default defineConfig({
  build: {
    // for creating library
    lib: {
      entry: path.resolve(__dirname, "src/main.js"),
      name: "canvasjs-charts", // component template name
      filename: (format) => `${format},js`,
    },
    // for external dependency
    rollupOptions: {
      external: ["vue", "@canvasjs/charts"],
      output: {
        globals: ["Vue", "CanvasJS"] // to be used by modules so that we won't include vue in the build
      }
    }
  },
  plugins: [vue()],
})
